aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xtestsuite/seq.tests1
-rwxr-xr-xtestsuite/testing.sh5
2 files changed, 1 insertions, 5 deletions
diff --git a/testsuite/seq.tests b/testsuite/seq.tests
index 2a76d86f9..ebb44e7a6 100755
--- a/testsuite/seq.tests
+++ b/testsuite/seq.tests
@@ -6,7 +6,6 @@
# AUDIT: Full SUSv3 coverage (except internationalization).
-[ -z "$COMMAND" ] && COMMAND=seq
. testing.sh
# testing "test name" "options" "expected result" "file input" "stdin"
diff --git a/testsuite/testing.sh b/testsuite/testing.sh
index 7c642d729..e253e1aa6 100755
--- a/testsuite/testing.sh
+++ b/testsuite/testing.sh
@@ -6,9 +6,6 @@
# This file defines two functions, "testing" and "optionflag"
-# The "testing" function must have the following environment variable set:
-# COMMAND = command to execute
-#
# The following environment variables may be set to enable optional behavior
# in "testing":
# VERBOSE - Print the diff -u of each failed test case.
@@ -75,7 +72,7 @@ testing ()
echo -ne "$3" > expected
echo -ne "$4" > input
- [ -z "$VERBOSE" ] || echo "echo '$5' | $COMMAND $2"
+ [ -z "$VERBOSE" ] || echo "echo '$5' | $2"
echo -ne "$5" | eval "$2" > actual
RETVAL=$?